petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSFCompose

Compose a new PetscSF equivalent to action to PetscSFs

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCompose(PetscSF sfA, PetscSF sfB, PetscSF *sfBA)

### Input Parameters

| sfA | - The first PetscSF
| sfB | - The second PetscSF

### Output Parameters

sfBA -equvalent PetscSF for applying A then B

### See Also

PetscSF, PetscSFGetGraph(), PetscSFSetGraph()

Level:developer
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages